<template>
  <div>
    <div class="trunk block-header">
      <h1 class="heading heading--lg">
        {{ $t('subscriptionOffers.header.title') }}
      </h1>
      <img
        :src="
          require(`~/assets/images/subscription/img-subscription-header-mobile-${this.$i18n.locale}.png`)
        "
        alt="header-mobile"
        title="header-mobile"
      />
      <div class="header-cta">
        <h2 class="heading heading--md">
          {{ $t('subscriptionOffers.header.card.title') }}
        </h2>
        <br />
        <p
          class="text--lg text--bold text--tertiary"
          style="font-size: 2.2rem"
          v-html="prettifyName(subscription.name)"
        ></p>
        <br />
        <div class="default-subscription-price">
          <p
            class="text--lg text--bold"
            v-html="`${subscription.priceHtml}/${$t('common.generic_month')}`"
          ></p>
          <span class="badge-free text--sm text--bold text--secondary">{{
            $t('subscriptionOffers.header.card.freeMonth')
          }}</span>
        </div>
        <br />
        <a href="#subscriptionOffersTab" class="button button_full">
          {{ $t('Voir toutes nos offres') }}
        </a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'HeaderMobile',
  props: {
    subscription: {
      type: Object,
      required: true
    }
  },
  methods: {
    prettifyName: function (name) {
      return `izneo <strong> ${name.replace('izneo ', '')}</strong>`
    }
  }
}
</script>

<style lang="scss" scoped>
.block-header {
  margin-top: 2rem;
  padding-left: initial;
  padding-right: initial;
  h1 {
    padding: 0 20px;
  }
  .header-cta {
    position: absolute;
    top: 170px;
    left: 30px;
    background-color: white;
    width: 315px;
    padding: 25px;
    border-radius: 4px;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1);
    h2 {
      line-height: 1.2;
    }
    .default-subscription-price {
      display: flex;
      .badge-free {
        background-color: rgba(255, 100, 30, 0.12);
        margin-left: 20px;
        padding: 5px;
      }
    }
  }
}
</style>
